# OpenSSHKnownHosts.SimpleEntry (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.SimpleEntry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Entry
          net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.SimpleEntry

Enclosing class:
  OpenSSHKnownHosts

    public static class OpenSSHKnownHosts.SimpleEntry

extends OpenSSHKnownHosts.Entry

Constructor Summary
`OpenSSHKnownHosts.SimpleEntry(List<String> hosts, PublicKey key)`
`OpenSSHKnownHosts.SimpleEntry(String line)`
`OpenSSHKnownHosts.SimpleEntry(String host, PublicKey key)`

Method Summary
`boolean` `appliesTo(String host)`
`protected String` `getHostPart()`

Methods inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Entry
`getKey, getKeyString, getLine, getType, init, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenSSHKnownHosts.SimpleEntry

    public OpenSSHKnownHosts.SimpleEntry(String host,
                                         PublicKey key)
                                  throws SSHException

Throws:
  `SSHException`

### OpenSSHKnownHosts.SimpleEntry

    public OpenSSHKnownHosts.SimpleEntry(List<String> hosts,
                                         PublicKey key)
                                  throws SSHException

Throws:
  `SSHException`

### OpenSSHKnownHosts.SimpleEntry

    public OpenSSHKnownHosts.SimpleEntry(String line)
                                  throws SSHException

Throws:
  `SSHException`

Method Detail

### appliesTo

    public boolean appliesTo(String host)

  Specified by:
    `appliesTo` in class `OpenSSHKnownHosts.Entry`

### getHostPart

    protected String getHostPart()

  Specified by:
    `getHostPart` in class `OpenSSHKnownHosts.Entry`

Copyright © 2009-2011. All Rights Reserved.